using namespace std;

void provera(int A[], int l, int r)
{
    int br = 0;
    while (l < r && br<2)
    {
        if (A[l] > A[l + 1]) br++;
        l++;
    }
    if (br == 2) printf("NE\n");
    else printf("DA\n");
    return;
}


int main()
{
    int n,q;
     scanf("%d",n);
    int A[n];
    for(int i=0;i<n;i++)
        scanf("%d",A[i]);
    scanf("%d",q);
    int l,r;
    for(int i=0;i<q;i++)
    {
         scanf("%d %d",l,r);
         provera(A,--l,--r);
    }
    return 0;
}